Returns a specific address.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Addresses under the Addresses category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/addresses/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"circle": {
"radiusMeters": 25,
"latitude": 37.765363,
"longitude": -122.4029238
},
"polygon": {
"vertices": [
{
"latitude": 37.765363,
"longitude": -122.403098
},
{
"latitude": 38.765363,
"longitude": -122.403098
},
{
"latitude": 37.765363,
"longitude": -123.403098
}
]
},
"settings": {
"showAddresses": false
}
},
"id": "22408",
"name": "Samsara HQ",
"addressTypes": [
"yard"
],
"contacts": [
{
"firstName": "Jane",
"id": "22408",
"lastName": "Jones"
}
],
"createdAtTime": "2019-05-18T20:27:35Z",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"latitude": 37.765363,
"longitude": -122.4029238,
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the Address. This can either be the Samsara-provided ID or an external ID. External IDs are customer-specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: key:value. For example, crmId:abc123
An Address.
An Address response body.
An Address object.
Show child attributes
curl --request GET \
--url https://api.samsara.com/addresses/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"circle": {
"radiusMeters": 25,
"latitude": 37.765363,
"longitude": -122.4029238
},
"polygon": {
"vertices": [
{
"latitude": 37.765363,
"longitude": -122.403098
},
{
"latitude": 38.765363,
"longitude": -122.403098
},
{
"latitude": 37.765363,
"longitude": -123.403098
}
]
},
"settings": {
"showAddresses": false
}
},
"id": "22408",
"name": "Samsara HQ",
"addressTypes": [
"yard"
],
"contacts": [
{
"firstName": "Jane",
"id": "22408",
"lastName": "Jones"
}
],
"createdAtTime": "2019-05-18T20:27:35Z",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"latitude": 37.765363,
"longitude": -122.4029238,
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}